### Creating icons from PNG or SVG images###

In Windows, each application is assigned an icon that is displayed on the desktop, 
in the Start menu or in the Explorer, representing the respective program. 
program to the user. An icon can contain images in different sizes. 
Windows automatically selects the best suitable size for the current display mode. 
Common sizes are 32x32, 64x64, 128x128 and 256x256 pixels. 

To avoid having to create a separate image for each size required, it is advisable 
to first create a graphic in scalable vector format (SVG). The 
[Inkscape](https://inkscape.org/) program, 
for example, is suitable for this. PNG images of any size can then be easily 
created from a graphic created in this way. *Inkscape* has a built-in export function 
for this purpose. However, this requires some manual work if you want to do it 
directly from the drawing program. The PNG images created in this way must then 
be converted into an icon (*ICO* format) using a suitable conversion program.

The programs provided here simplify this process:  

- **SvgToIcon:** Creates icons from one or more selected *SVG* image in two steps: 
First, the *PNG* images are created in the required sizes using the *Inkscape* export 
function. These are then packed into icons (*ICO* files). All this is combined under one GUI and will do the actions with just a few clicks.
- **PngToIcon:** Creates an icon from any selected PNG images. The sizes must be 256 pixel or less. 


**Note:** An installed Inkscape (version 1.3.2 or newer) is required. 

[Application download ](https://www.rathlev-home.de/index-e.html?home-e.html)

